Bug 94138 - Form Control Text Boxes Print And Export To PDF Incorrectly
Summary: Form Control Text Boxes Print And Export To PDF Incorrectly
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
5.0.0.3 rc
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: target:5.1.0 target:5.0.3 target:5.0....
Keywords: bibisected
Depends on:
Blocks:
 
Reported: 2015-09-11 17:31 UTC by Dave Richards
Modified: 2016-10-25 19:02 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample Document (12.78 KB, application/vnd.oasis.opendocument.text)
2015-09-11 17:32 UTC, Dave Richards
Details
Exported To PDF , not as a PDF form (92.66 KB, application/pdf)
2015-09-11 17:33 UTC, Dave Richards
Details
Exported to PDF, as a PDF Form (103.88 KB, application/pdf)
2015-09-11 17:33 UTC, Dave Richards
Details
Beluga's PDF results from 5.0.1 (43.80 KB, application/x-zip)
2015-09-14 15:30 UTC, Buovjaga
Details
Export to PDF with the patch applied. (91.67 KB, application/pdf)
2015-10-28 12:40 UTC, Dave Richards
Details
Multi Line Entry Areas Do Not Print Correctly (12.75 KB, application/vnd.oasis.opendocument.text)
2015-11-12 20:43 UTC, Dave Richards
Details
Test Document For All Form Controls (18.88 KB, application/vnd.oasis.opendocument.text)
2015-11-25 17:16 UTC, Dave Richards
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dave Richards 2015-09-11 17:31:49 UTC
We have a good number of documents with form controls, and specifically using text boxes to allow users to enter data.  These text boxes are hard coded with our standard fonts in specific sizes.  Using LO 5 these controls do not print or export correctly.  The fonts that are specified are not used.

For my test, I created the document control_test.odt with various fonts and point sizes.  The fonts render correctly on the screen.  However when you export to PDF or print, all of the text boxes are the same font and point size.  

I then checked the label widget, and set it to two different points sizes and this worked correctly.

There are other, and other related nuances with form control text boxes.

If you do an edit> copy edit >paste the font that displays in the "paste" does not match the font you selected until you exit editing mode.  This does not happen with labels.

If you export to PDF and do not uncheck the option to create a PDF form, all of the letters in the PDF overlap and do not render correctly.

I tried the PDF engine and then the postscript-2 and postscript-3 engines and they all do the same thing.

First page is Nimbus Sans, second page is Liberation Sans and both results are the same, so this appears not to be a font issue.
Comment 1 Dave Richards 2015-09-11 17:32:19 UTC
Created attachment 118613 [details]
Sample Document
Comment 2 Dave Richards 2015-09-11 17:33:17 UTC
Created attachment 118614 [details]
Exported To PDF , not as a PDF form

All fonts are identical, selected fonts were not used for text entry boxes.
Comment 3 Dave Richards 2015-09-11 17:33:54 UTC
Created attachment 118616 [details]
Exported to PDF, as a PDF Form

All text overlaps in these text boxes.
Comment 4 Dave Richards 2015-09-11 21:03:44 UTC
Tested and works fine on 4.4.6.0.0, daily build 2015-09-11

So this broke somewhere in 5.0.  Needs bibisect
Comment 5 Buovjaga 2015-09-14 15:30:08 UTC
Created attachment 118707 [details]
Beluga's PDF results from 5.0.1

They are different from your results - are they ok?

Win 7 Pro 64-bit, Version: 5.0.1.2 (32-bit)
Build ID: 81898c9f5c0d43f3473ba111d7b351050be20261
Locale: fi-FI (fi_FI)
Comment 6 Cor Nouws 2015-09-14 15:32:11 UTC
Hi Dave,

I confirm the problem. But see it in 4.4.5.2 and 4.3.7.2 too...

Ciao - Cor
Comment 7 Dave Richards 2015-09-16 13:11:57 UTC
Clean bibisect, easily replicated and finally reported:


root@oa1:/u/bibisect/bibisect-50max# git bisect good
There are only 'skip'ped commits left to test.
The first bad commit could be any of:
5c772e6adc1fa772d1f4fe3bdd00b2718fbb02fa
feb399a026af36504e9f089376c249cd27da4ab1
We cannot bisect more!
Comment 8 Dave Richards 2015-09-16 13:17:35 UTC
root@oa1:/u/bibisect/bibisect-50max# ./opt/program/soffice
javaldx: Could not find a Java Runtime Environment!
Warning: failed to read path from javaldx
Gtk-Message: Failed to load module "gnomesegvhandler"
Gtk-Message: Failed to load module "gnomesegvhandler"
root@oa1:/u/bibisect/bibisect-50max# git bisect bad
Bisecting: 2 revisions left to test after this (roughly 2 steps)
[5f00baa3d38e16b65030c1cade1e2757dcd69fe1] source-hash-61719b1781b6147dcfa7278f44c9b910d9ab1286
root@oa1:/u/bibisect/bibisect-50max# ./opt/program/soffice
javaldx: Could not find a Java Runtime Environment!
Warning: failed to read path from javaldx
Gtk-Message: Failed to load module "gnomesegvhandler"
Gtk-Message: Failed to load module "gnomesegvhandler"
root@oa1:/u/bibisect/bibisect-50max# git bisect good
Bisecting: 0 revisions left to test after this (roughly 1 step)
[e5fd0dbc75870c898a5a38b6f5357a71f1d6d882] source-hash-ee616b050c82b138ee06117890b0381a0b5d750c
root@oa1:/u/bibisect/bibisect-50max# ./opt/program/soffice
javaldx: Could not find a Java Runtime Environment!
Warning: failed to read path from javaldx
Gtk-Message: Failed to load module "gnomesegvhandler"
Gtk-Message: Failed to load module "gnomesegvhandler"
root@oa1:/u/bibisect/bibisect-50max# git bisect good
There are only 'skip'ped commits left to test.
The first bad commit could be any of:
5c772e6adc1fa772d1f4fe3bdd00b2718fbb02fa
feb399a026af36504e9f089376c249cd27da4ab1
We cannot bisect more!
Comment 9 Dave Richards 2015-09-23 13:57:15 UTC
I cannot deploy LO 5 to more of our employees until this is fixed.  We have lots of documents with those form controls and they are not printing correctly.  Right now this is the only known showstopper.
Comment 10 Commit Notification 2015-10-22 17:18:31 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=825b3df7f1d987021ec4a08ff8e7ed78e5772c97

tdf#94138 fix printing of edit form fields

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2015-10-23 06:37:42 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=356ac58e6ac6d6c37f4aaffe29099994fe118eaf&h=libreoffice-5-0

tdf#94138 fix printing of edit form fields

It will be available in 5.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2015-10-24 20:51:53 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "libreoffice-5-0-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5918fc62403e86a8060629950412f8e136747f7f&h=libreoffice-5-0-3

tdf#94138 fix printing of edit form fields

It will be available in 5.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Dave Richards 2015-10-28 12:40:02 UTC
Created attachment 120045 [details]
Export to PDF with the patch applied.

We are now getting no text at all after the patch.
Comment 14 Cor Nouws 2015-10-28 18:14:50 UTC
(In reply to Dave Richards from comment #13)

> We are now getting no text at all after the patch.

There is more text invisible after export / print... see bug 93009
Comment 15 Commit Notification 2015-10-28 19:33:30 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=93a007b1b02c13025b08bcefe19dd54e24e2b80f

tdf#94138 also apply settings when printing (Draw call)

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2015-10-30 11:22:42 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d36d2d68f3cb5f270081243269ca83109a2a3732&h=libreoffice-5-0

tdf#94138 also apply settings when printing (Draw call)

It will be available in 5.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 Adolfo Jayme 2015-10-31 00:33:59 UTC
(Sorry for the bug spam!) =(
Comment 18 Dave Richards 2015-11-02 19:26:20 UTC
Confirmed this is now fixed and working again in nightly builds.  Thank you.
Comment 19 Dave Richards 2015-11-12 20:43:24 UTC
Re-opening the bug, the users have found a widget that is still broken.  In the test document I gave you all of the entry boxes were "single line".  If you toggle them into multi-line entry widgets, they lose font attributes and do not print correctly.  I am attaching the test document, and at the bottom of page 1 I have added two multi-line text boxes...they should be Nimbus Sans 9, regular and bold and they print in a completely different font.  This is how the single-line widgets previously worked before the patch was applied.
Comment 20 Dave Richards 2015-11-12 20:43:59 UTC
Created attachment 120513 [details]
Multi Line Entry Areas Do Not Print Correctly

This document demonstrates the failure.
Comment 21 Dave Richards 2015-11-25 17:16:19 UTC
Created attachment 120795 [details]
Test Document For All Form Controls

All form controls are rendered on this document in several point sizes and bold and italic to ensure that they are printing and exporting to PDF correctly.  This is a great QA document for future releases, we do seem to struggle with this area on upgrades.  Multi-line text widgets are not working at all, the rest seem to be as best I can tell.
Comment 22 Commit Notification 2015-12-01 16:50:26 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6c41727484a04ab89005ffb052937dae5d7dc223

tdf#94138 Use correct fonts for multiline edit when printing

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 23 Commit Notification 2015-12-01 16:53:22 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=42aedc2526b69409636dbcb4bdbff2e0bab8da5d&h=libreoffice-5-1

tdf#94138 Use correct fonts for multiline edit when printing

It will be available in 5.1.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 24 Commit Notification 2015-12-04 13:38:41 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=52fe817a32bf69417563e0b66d451e8fca19d212&h=libreoffice-5-0

tdf#94138 Use correct fonts for multiline edit when printing

It will be available in 5.0.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 25 Commit Notification 2015-12-11 02:10:45 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "libreoffice-5-0-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a3f181a93df3cb5f4d95cb0139da639b26922a90&h=libreoffice-5-0-4

tdf#94138 Use correct fonts for multiline edit when printing

It will be available in 5.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 26 Dave Richards 2015-12-11 13:22:10 UTC
I got confirmation from end users that this patch is working on all of their form widgets.  The test document that I created appears to work too.  I'd say this can be closed.
Comment 27 Tomaz Vajngerl 2015-12-11 13:50:24 UTC
Yaay \o/
Comment 28 Robinson Tryon (qubit) 2015-12-17 10:32:44 UTC Comment hidden (obsolete)